/*******************************************************************************************************
 *                                                                                                     *
 *        **********                                                                                   *
 *       ************                                                                                  *
 *      ***        ***                                                                                 *
 *      ***   +++   ***                                                                                *
 *      ***   + +   ***     This file contains commonly used types and is included in                  *
 *      ***   +             halsrf04.h, hal2430.h, and halxx10.h                                       *
 *      ***   + +   ***                                                                                *
 *      ***   +++   ***     common.h                                                                   *
 *      ***        ***                                                                                 *
 *       ************                                                                                  *
 *        **********                                                                                   *
 *                                                                                                     *
 *******************************************************************************************************
 * Compiler:            Keil C51 V7.50                                                                 *
 * Target platform:                                                                                    *
 * Author:              SNA                                                                            *
 *******************************************************************************************************
 * Revision history:    See end of file                                                                *
 ******************************************************************************************************/
#ifndef COMMON_H
#define COMMON_H





/*******************************************************************************************************
 *******************************************************************************************************
 **************************                   Commonly used types           ****************************
 *******************************************************************************************************
 *******************************************************************************************************/




//-------------------------------------------------------------------------------------------------------
typedef unsigned char       BOOL;

// Data
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef unsigned long       DWORD;

// Unsigned numbers
typedef unsigned char       UINT8;
typedef unsigned short      UINT16;
typedef unsigned long       UINT32;

// Signed numbers
typedef signed char         INT8;
typedef signed short        INT16;
typedef signed long         INT32;
//-------------------------------------------------------------------------------------------------------




//-------------------------------------------------------------------------------------------------------
// Common values
#ifndef FALSE
    #define FALSE 0
#endif

#ifndef TRUE
    #define TRUE 1
#endif

#ifndef NULL
    #define NULL 0
#endif

#ifndef MSB
    #define MSB 0x80
#endif
//-------------------------------------------------------------------------------------------------------




/*******************************************************************************************************
 * Revision history:                                                                                   *
 *
 * $Log: common.h,v $
 * Revision 1.3  2005/11/09 10:03:45  sna
 * Added define for MSB
 *
 * Revision 1.2  2005/02/07 14:34:42  sna
 * Initial version in CVS.
 *
 *
 ******************************************************************************************************/




#endif// COMMON_H
